local pocketbotsTrans = {
      filename = "__PocketBots__/graphics/trans.png",
      priority = "very-low",
      width = 1,
      height = 1,
      frame_count = 1,
      animation_speed = 0.5,
      shift = {0, 0}
    }


data:extend(
{
   {
    type = "roboport",
    name = "roboport-pocket",
    icon = "__PocketBots__/graphics/icons/trans-icon.png",
    flags = {"placeable-neutral", "placeable-off-grid"},
    --minable = {hardness = 1, mining_time = 1, result = "roboport"},
    max_health = 0.1,
    --corpse = "small-remnants",
	order = "z",
    collision_box = {{-1, -1}, {1, 1}},
    --selection_box = {{-0.1, -1}, {1, 1}},
	collision_mask = { "ghost-layer"},
    energy_source =
    {
      type = "electric",
      usage_priority = "secondary-input",
      input_flow_limit = "0W",
      buffer_capacity = "10MJ"
    },
    recharge_minimum = "1J",
    energy_usage = "0W",
    -- per one charge slot
    charging_energy = "1MW",
    logistics_radius = 0.1,
    construction_radius = 20,
    charge_approach_distance = 2,
    robot_slots_count = 61,
    material_slots_count = 61,
    stationing_offset = {0, 0},
    charging_offsets =
    {
      {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}, {-0, 0}, {0, 0}, 
    },
    base =
    {
      filename = "__PocketBots__/graphics/trans.png",
      width = 1,
      height = 1,
      shift = {0, 0}
    },
	base_patch = pocketbotsTrans,
    base_animation = pocketbotsTrans,
    door_animation = pocketbotsTrans,
    door_animation_up = pocketbotsTrans,
    door_animation_down = pocketbotsTrans,
    recharging_animation = pocketbotsTrans,
	
    recharging_light = {intensity = 0.4, size = 5},
    request_to_open_door_timeout = 15,
    spawn_and_station_height = 0.33,
    radius_visualisation_picture =
    {
      filename = "__base__/graphics/entity/roboport/roboport-radius-visualization.png",
      width = 12,
      height = 12
    },
    construction_radius_visualisation_picture =
    {
      filename = "__base__/graphics/entity/roboport/roboport-construction-radius-visualization.png",
      width = 12,
      height = 12
    }
  },
  
  
  {
    type = "electric-pole",
    name = "electric-pole-pocket",
    icon = "__PocketBots__/graphics/icons/trans-icon.png",
    flags = {"placeable-neutral", "placeable-off-grid"},
    --minable = {hardness = 1, mining_time = 1, result = "copper-cable"},
    max_health = 0.1,
    --corpse = "small-remnants",
    collision_box = {{-0.15, -0.15}, {0.15, 0.15}},
    --selection_box = {{-0.5, -0.5}, {0.5, 0.5}},
    --drawing_box = {{-2.8, -0.5}, {0.5, 0.5}},
	collision_mask = { "ghost-layer"},
    maximum_wire_distance = 0.1,
    supply_area_distance = 0.5,
	order = "z",
    pictures =
    {
      filename = "__PocketBots__/graphics/trans.png",
      priority = "very-low",
      width = 1,
      height = 1,
      axially_symmetrical = true,
      direction_count = 1,
      shift = {0, 0}
    },
    connection_points =
    {
      {
        shadow =
        {
          copper = {0, 0},
          green = {0, 0},
          red = {0, 0}
        },
        wire =
        {
          copper = {0, 0},
          green = {0, 0},
          red = {0, 0}
        }
      },
      
	},
	copper_wire_picture =
    {
      filename = "__PocketBots__/graphics/trans.png",
      priority = "very-low",
      width = 1,
      height = 1
    },
    green_wire_picture =
    {
      filename = "__PocketBots__/graphics/trans.png",
      priority = "very-low",
      width = 1,
      height = 1
    },
    radius_visualisation_picture =
    {
      filename = "__base__/graphics/entity/small-electric-pole/electric-pole-radius-visualization.png",
      width = 12,
      height = 12
    },
    red_wire_picture =
    {
      filename = "__PocketBots__/graphics/trans.png",
      priority = "very-low",
      width = 1,
      height = 1
    },
    wire_shadow_picture =
    {
      filename = "__PocketBots__/graphics/trans.png",
      priority = "very-low",
      width = 1,
      height = 1
    },
  },
  
 
  {
    type = "accumulator",
    name = "accumulator-pocket",
    icon = "__PocketBots__/graphics/icons/trans-icon.png",
    flags = {"placeable-neutral", "placeable-off-grid"},
    --minable = {hardness = 1, mining_time = 1, result = "basic-accumulator"},
    max_health = 0.1,
    --corpse = "small-remnants",
    collision_box = {{-0.9, -0.9}, {0.9, 0.9}},
	--selection_box = {{-1, -1}, {0.1, 1}},
	collision_mask = { "ghost-layer"},
	order = "z",
    energy_source =
    {
      type = "electric",
      buffer_capacity = "50MJ",
      usage_priority = "terciary",
      input_flow_limit = "3MW",
      output_flow_limit = "0MW"
    },
    picture =
    {
      filename = "__PocketBots__/graphics/trans.png",
      priority = "very-low",
      width = 1,
      height = 1,
      shift = {0, 0}
    },
    charge_animation =
    {
      filename = "__PocketBots__/graphics/trans.png",
      width = 1,
      height = 1,
      line_length = 1,
      frame_count = 1,
      shift = {0, 0},
      animation_speed = 0.5
    },
    charge_cooldown = 30,
    charge_light = {intensity = 0, size = 0},
    discharge_animation =
    {
      filename = "__PocketBots__/graphics/trans.png",
      width = 1,
      height = 1,
      line_length = 1,
      frame_count = 1,
      shift = {0, 0},
      animation_speed = 0.5
    },
    discharge_cooldown = 60,
    discharge_light = {intensity = 0, size = 0}
  },
  
  {
    type = "logistic-container",
    name = "pocket-provider",
    icon = "__PocketBots__/graphics/icons/trans-icon.png",
    flags = {"placeable-neutral", "placeable-off-grid"},
    --minable = {hardness = 1, mining_time = 1, result = "logistic-chest-passive-provider"},
    max_health = 0.1,
    --corpse = "small-remnants",
    collision_box = {{-0.35, -0.35}, {0.35, 0.35}},
    --selection_box = {{-0.1, -0.1}, {1, 1}},
	--sticker_box = {{-100.5, -100.5}, {0.5, 0.5}},
	collision_mask = { "ghost-layer"},
    --fast_replaceable_group = "container",
    inventory_size = 150,
    logistic_mode = "storage",
	order = "z",
    picture =
    {
      filename = "__PocketBots__/graphics/trans.png",
      priority = "very-low",
      width = 1,
      height = 1,
      shift = {0, 0}
    }
  }, 
  
  
    -- {
    -- type = "inserter",
    -- name = "smart-inserter-trans",
    -- icon = "__PocketBots__/graphics/icons/trans-icon.png",
    -- flags = {"placeable-neutral", "placeable-off-grid"},
    -- --minable = {hardness = 0.2, mining_time = 0.5, result = "smart-inserter"},
    -- max_health = 0.1,
    -- --corpse = "small-remnants",
    -- resistances =
    -- {
      -- {
        -- type = "fire",
        -- percent = 90
      -- }
    -- },
    -- working_sound =
    -- {
      -- match_progress_to_activity = true,
      -- sound =
      -- {
        -- {
          -- filename = "__base__/sound/inserter-fast-1.ogg",
          -- volume = 0.75
        -- },
        -- {
          -- filename = "__base__/sound/inserter-fast-2.ogg",
          -- volume = 0.75
        -- },
        -- {
          -- filename = "__base__/sound/inserter-fast-3.ogg",
          -- volume = 0.75
        -- },
        -- {
          -- filename = "__base__/sound/inserter-fast-4.ogg",
          -- volume = 0.75
        -- },
        -- {
          -- filename = "__base__/sound/inserter-fast-5.ogg",
          -- volume = 0.75
        -- }
      -- }
    -- },
    -- collision_box = {{-0.15, -0.15}, {0.15, 0.15}},
	-- collision_mask = {"ghost-layer"},
    -- --selection_box = {{-0.4, -0.35}, {0.4, 0.45}},
    -- pickup_position = {0, -1},
    -- insert_position = {0, 1.35},
	-- order = "z",
    -- energy_per_movement = 7000,
    -- energy_per_rotation = 7000,
    -- -- energy_source =
    -- -- {
      -- -- type = "electric",
      -- -- usage_priority = "secondary-input",
      -- -- drain = "0W"
    -- -- },
	-- energy_source =
    -- {
      -- type = "electric",
      -- usage_priority = "secondary-input",
      -- input_flow_limit = "0W",
      -- buffer_capacity = "10MJ"
    -- },
	
    -- extension_speed = 1,
    -- fast_replaceable_group = "inserter",
    -- filter_count = 1,
    -- hand_base_picture =
    -- {
      -- filename = "__PocketBots__/graphics/trans.png",
      -- priority = "extra-high",
      -- width = 1,
      -- height = 1
    -- },
    -- hand_closed_picture =
    -- {
      -- filename = "__PocketBots__/graphics/trans.png",
      -- priority = "extra-high",
      -- width = 1,
      -- height = 1
    -- },
    -- hand_open_picture =
    -- {
      -- filename = "__PocketBots__/graphics/trans.png",
      -- priority = "extra-high",
      -- width = 1,
      -- height = 1
    -- },
    -- hand_base_shadow =
    -- {
      -- filename = "__PocketBots__/graphics/trans.png",
      -- priority = "extra-high",
      -- width = 1,
      -- height = 1
    -- },
    -- hand_closed_shadow =
    -- {
      -- filename = "__PocketBots__/graphics/trans.png",
      -- priority = "extra-high",
      -- width = 1,
      -- height = 1
    -- },
    -- hand_open_shadow =
    -- {
      -- filename = "__PocketBots__/graphics/trans.png",
      -- priority = "extra-high",
      -- width = 1,
      -- height = 1
    -- },
    -- platform_picture =
    -- {
      -- sheet = "__PocketBots__/graphics/icons/trans-icon.png",
      -- priority = "extra-high",
      -- width = 8,
      -- height = 8
    -- },
    -- programmable = true,
    -- rotation_speed = 1.000,
    -- uses_arm_movement = "basic-inserter"
  -- },
  
    -- {
    -- type = "inserter",
    -- name = "smart-inserter-trans",
    -- icon = "__base__/graphics/icons/smart-inserter.png",
    -- flags = {"placeable-neutral", "placeable-player", "player-creation"},
    -- --minable = {hardness = 0.2, mining_time = 0.5, result = "smart-inserter"},
    -- max_health = 1,
    -- --corpse = "small-remnants",
	-- order = "z",
    -- resistances =
    -- {
      -- {
        -- type = "fire",
        -- percent = 90
      -- }
    -- },
    -- working_sound =
    -- {
      -- match_progress_to_activity = true,
      -- sound =
      -- {
        -- {
          -- filename = "__base__/sound/inserter-fast-1.ogg",
          -- volume = 0.75
        -- },
        -- {
          -- filename = "__base__/sound/inserter-fast-2.ogg",
          -- volume = 0.75
        -- },
        -- {
          -- filename = "__base__/sound/inserter-fast-3.ogg",
          -- volume = 0.75
        -- },
        -- {
          -- filename = "__base__/sound/inserter-fast-4.ogg",
          -- volume = 0.75
        -- },
        -- {
          -- filename = "__base__/sound/inserter-fast-5.ogg",
          -- volume = 0.75
        -- }
      -- }
    -- },
    -- collision_box = {{-0.15, -0.15}, {0.15, 0.15}},
    -- selection_box = {{-0.4, -0.35}, {0.4, 0.45}},
    -- pickup_position = {0, -1},
    -- insert_position = {0, 1.35},
    -- energy_per_movement = 7000,
    -- energy_per_rotation = 7000,
    -- energy_source =
    -- {
      -- type = "electric",
      -- usage_priority = "secondary-input",
      -- drain = "0.4kW"
    -- },
    -- extension_speed = 0.07,
    -- fast_replaceable_group = "inserter",
    -- filter_count = 5,
    -- hand_base_picture =
    -- {
      -- filename = "__base__/graphics/entity/smart-inserter/smart-inserter-hand-base.png",
      -- priority = "extra-high",
      -- width = 8,
      -- height = 34
    -- },
    -- hand_closed_picture =
    -- {
      -- filename = "__base__/graphics/entity/smart-inserter/smart-inserter-hand-closed.png",
      -- priority = "extra-high",
      -- width = 18,
      -- height = 41
    -- },
    -- hand_open_picture =
    -- {
      -- filename = "__base__/graphics/entity/smart-inserter/smart-inserter-hand-open.png",
      -- priority = "extra-high",
      -- width = 18,
      -- height = 41
    -- },
    -- hand_base_shadow =
    -- {
      -- filename = "__base__/graphics/entity/burner-inserter/burner-inserter-hand-base-shadow.png",
      -- priority = "extra-high",
      -- width = 8,
      -- height = 34
    -- },
    -- hand_closed_shadow =
    -- {
      -- filename = "__base__/graphics/entity/burner-inserter/burner-inserter-hand-closed-shadow.png",
      -- priority = "extra-high",
      -- width = 18,
      -- height = 41
    -- },
    -- hand_open_shadow =
    -- {
      -- filename = "__base__/graphics/entity/burner-inserter/burner-inserter-hand-open-shadow.png",
      -- priority = "extra-high",
      -- width = 18,
      -- height = 41
    -- },
    -- platform_picture =
    -- {
      -- priority = "extra-high",
      -- width = 46,
      -- height = 46,
      -- sheet = "__base__/graphics/entity/smart-inserter/smart-inserter-platform.png"
    -- },
    -- programmable = true,
    -- rotation_speed = 0.035,
    -- uses_arm_movement = "basic-inserter"
  -- },

})